Bug 261313 - [META] Deprecate/Expire Django 2.2 and switch to Django 3.2
Summary: [META] Deprecate/Expire Django 2.2 and switch to Django 3.2
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-python (Nobody)
URL: https://wiki.freebsd.org/Ports/Django...
Keywords:
Depends on: 261086 263216 256762 259756 261316 261317 261318 261343 261345 261347 261391 261392 261404 261405 261474 261478 261479 261907 261918 261919 261963 262061 262226 262227 262402 262403 262404 262678 263633 263770 263771
Blocks:
  Show dependency treegraph
 
Reported: 2022-01-18 17:20 UTC by Kai Knoblich
Modified: 2022-05-04 06:31 UTC (History)
12 users (show)

See Also:
ports: maintainer-feedback+
ports: maintainer-feedback+
kai: maintainer-feedback-
kai: maintainer-feedback-
dvl: maintainer-feedback+
kai: maintainer-feedback-
kai: maintainer-feedback-
ports: maintainer-feedback+
kai: maintainer-feedback-
kai: maintainer-feedback+
sunpoet: maintainer-feedback+
ultima: maintainer-feedback+
kai: maintainer-feedback-
rm: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2022-01-18 17:20:58 UTC
Django 2.2 will become EOL in April 2022 and this meta-bug will be used to track the whole progress.

The plan is to move everything to www/py-django32, the LTS successor:

- Update affected ports during 2022Q1 to make them ready for Django 3.2
- Switch all ports that use www/py-django22 to www/py-django32 at once (if possible) after the creation of the 2022Q2 branch
- Deprecate and remove the py-dj32-django* ports as they will be superfluous once all ports are moved to www/py-django32
Comment 1 commit-hook freebsd_committer 2022-01-18 17:35:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=75cf1a445a87cbb9c8e7cecd8e1cb58699bf3b22

commit 75cf1a445a87cbb9c8e7cecd8e1cb58699bf3b22
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2022-01-18 17:29:41 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2022-01-18 17:34:01 +0000

    www/py-django22: Deprecate and set to expire

    Set a deprecation note and let it expire to the end of June to give
    enough time to switch all affected ports over to Django 3.2 which is the
    next LTS release.

    PR:             261313
    Reviewed by:    koobs
    Approved by:    dbaio, sunpoet (python, maintainer)
    Differential Revision:  https://reviews.freebsd.org/D33793

 www/py-django22/Makefile | 3 +++
 1 file changed, 3 insertions(+)
Comment 2 commit-hook freebsd_committer 2022-01-18 17:35:20 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d3b41cc1c6523ce99a992202256f427e8c8b7e9f

commit d3b41cc1c6523ce99a992202256f427e8c8b7e9f
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2022-01-18 17:32:22 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2022-01-18 17:34:01 +0000

    www/py-django-cron: Deprecate and set to expire

    The project is no longer maintained and its code isn't compatible with
    newer versions of Django.

    PR:             261313

 www/py-django-cron/Makefile | 3 +++
 1 file changed, 3 insertions(+)
Comment 3 commit-hook freebsd_committer 2022-02-14 06:42:29 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c45d55461ce5ca18fdf124d67d609dc7aaf9bfc1

commit c45d55461ce5ca18fdf124d67d609dc7aaf9bfc1
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2022-02-14 06:38:08 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2022-02-14 06:39:56 +0000

    www/py-django-compat: Deprecate and set to expire

    The project seems to be no longer maintained and its code isn't
    compatible with newer versions of Django.

    PR:             261313

 www/py-django-compat/Makefile | 3 +++
 1 file changed, 3 insertions(+)
Comment 4 commit-hook freebsd_committer 2022-02-14 06:42:31 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0f1e29a780e3edf13a29f2c32adfdfddc7e35620

commit 0f1e29a780e3edf13a29f2c32adfdfddc7e35620
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2022-02-14 06:37:08 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2022-02-14 06:39:56 +0000

    www/py-django-common-helpers: Deprecate and set to expire

    The project seems to be no longer maintained and its code isn't
    compatible with newer versions of Django.

    PR:             261313

 www/py-django-common-helpers/Makefile | 3 +++
 1 file changed, 3 insertions(+)
Comment 5 commit-hook freebsd_committer 2022-03-25 16:08:45 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b226c44e5bbd099528753cb0609d86af560235f7

commit b226c44e5bbd099528753cb0609d86af560235f7
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2022-03-25 16:01:33 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2022-03-25 16:07:58 +0000

    www/py-django-sudo: Deprecate and set to expire

    * The upstream project was abandoned and there's no compatibility for
      newer versions of Django.

    PR:             261313
    Approved by:    kai (python, maintainer)

 www/py-django-sudo/Makefile | 3 +++
 1 file changed, 3 insertions(+)
Comment 6 commit-hook freebsd_committer 2022-03-25 16:08:47 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4223babba21648132abe583752f50f6570c83338

commit 4223babba21648132abe583752f50f6570c83338
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2022-03-25 16:04:08 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2022-03-25 16:07:58 +0000

    www/py-django: Deprecate and set to expire

    This port was last used as a metaport and has only Django 2.2 as the
    only option knob.  The use of this port as a dependency for several
    consumers has in the past also repeatedly led to some problems with
    conflicting transitive dependencies.

    So there is no longer any use for this metaport thus let it expire
    together with www/py-django22.

    PR:             261313
    Reviewed by:    dbaio (python, maintainer)
    Approved by:    kai (python, maintainer)
    Differential Revision:  https://reviews.freebsd.org/D34453

 www/py-django/Makefile | 3 +++
 1 file changed, 3 insertions(+)
Comment 7 commit-hook freebsd_committer 2022-04-07 16:54:43 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=32dfc9b254a9478752e74ef2372da24cb81cd001

commit 32dfc9b254a9478752e74ef2372da24cb81cd001
Author:     Richard Gallamore <ultima@FreeBSD.org>
AuthorDate: 2022-04-07 16:42:11 +0000
Commit:     Richard Gallamore <ultima@FreeBSD.org>
CommitDate: 2022-04-07 16:51:47 +0000

    Seahub and Django depends: Update Django to 3.2

    This is the initial commit for the migration from Django
    2.2 to Django 3.2. This migration is needed due to Django 2.2
    becoming is EOL as of 4/1/2022.

    PR: 261313
    Approved by: kai
    Differential Revision: https://reviews.freebsd.org/D34456

 www/py-django-constance/Makefile       |  3 ++-
 www/py-django-picklefield/Makefile     |  3 ++-
 www/py-django-ranged-response/Makefile |  4 ++--
 www/py-django-simple-captcha/Makefile  |  3 ++-
 www/py-django-statici18n/Makefile      |  3 ++-
 www/py-django-webpack-loader/Makefile  |  3 ++-
 www/seahub/Makefile                    | 13 +++++++------
 7 files changed, 19 insertions(+), 13 deletions(-)
Comment 8 Kai Knoblich freebsd_committer 2022-04-09 13:53:34 UTC
Hi all,

review D34859 was created which switches affected ports, you maintain, from Django 2.2 to Django 3.2.  

Can you please have a look at this and give feedback on whether everything is ok regarding the ports you maintain?

Thanks in advance for your help!
Comment 9 Ivan Rozhuk 2022-04-11 02:39:11 UTC
I just upstream www/py-django-solo, www/py-django-widget-tweaks ports from my work, feel free to do any changes.
Comment 10 Kevin Golding 2022-04-11 11:10:46 UTC
Patch submitted in bug #263216
Comment 11 Po-Chuan Hsieh freebsd_committer 2022-04-11 15:08:16 UTC
(In reply to Kai Knoblich from comment #8)

LGTM. Thanks!
Comment 12 commit-hook freebsd_committer 2022-04-14 16:30:40 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=94d5b74e39987d04e0af6e2ce4bbb4c27d1e4d07

commit 94d5b74e39987d04e0af6e2ce4bbb4c27d1e4d07
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2022-04-14 16:24:00 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2022-04-14 16:27:54 +0000

    www/py-graphite-web: Deprecate and set to expire

    * The current version of py-graphite doesn't support Django 3.2, which
      is the next LTS (= long-term support) release since Django 2.2 reached
      its End-of-Life on April 11th [1].

      There may be a new release with support for newer versions of Django
      in the course of 2022Q2 to undeprecate the port.

    PR:             261086, 261313 [1]
    Approved by:    bofh (maintainer, via D34859)

 www/py-graphite-web/Makefile | 3 +++
 1 file changed, 3 insertions(+)
Comment 13 commit-hook freebsd_committer 2022-04-28 10:08:42 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0cf5531fcd38982e6667fb2b8561eae80c4902c3

commit 0cf5531fcd38982e6667fb2b8561eae80c4902c3
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2022-04-28 10:02:15 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2022-04-28 10:02:15 +0000

    www/py-django32: Switch consumers over to Django 3.2

    Django 2.2 became End-of-Life on 11th April 2022 and Django 3.2 is the
    new LTS (= Long Term Support) release which will be supported until
    April 2024.

    * Switch the most ports that use www/py-django22 to www/py-django32

    * Switch www/seahub over to www/py-djangorestframework

    * Ports that are not yet ready for Django 3.2 (only three so far) or
      those that have already been set with an expiration date were not
      taken into account.

    * Bump PORTREVISION due dependency change where necessary.

    PR:             261313
    Reviewed by:    bofh, dvl, koobs, ultima
    Approved by:    bofh, dvl, koobs, ultima, sunpoet, Kevin Golding, Ivan Rozhuk,
                    Alexander Sieg (maintainers)
                    maintainer timeout (remaining maintainers)
    Differential Revision:  https://reviews.freebsd.org/D34859

 devel/py-django-rq/Makefile                   | 3 ++-
 devel/py-eventlib/Makefile                    | 4 ++--
 devel/py-graphene-django/Makefile             | 3 ++-
 devel/py-hypothesis/Makefile                  | 3 ++-
 devel/py-logan/Makefile                       | 4 ++--
 devel/py-semantic-version/Makefile            | 2 +-
 graphics/py-django-easy-thumbnails/Makefile   | 5 +++--
 graphics/py-sorl-thumbnail/Makefile           | 3 ++-
 mail/py-django-mailman3/Makefile              | 4 ++--
 www/py-django-allauth/Makefile                | 3 ++-
 www/py-django-annoying/Makefile               | 3 ++-
 www/py-django-assets/Makefile                 | 3 ++-
 www/py-django-auth-ldap/Makefile              | 3 ++-
 www/py-django-bitfield/Makefile               | 3 ++-
 www/py-django-bootstrap3/Makefile             | 3 ++-
 www/py-django-braces/Makefile                 | 3 ++-
 www/py-django-cacheops/Makefile               | 3 ++-
 www/py-django-classy-tags/Makefile            | 4 ++--
 www/py-django-cms/Makefile                    | 3 ++-
 www/py-django-configurations/Makefile         | 5 +++--
 www/py-django-contact-form/Makefile           | 3 ++-
 www/py-django-contrib-comments/Makefile       | 3 ++-
 www/py-django-cors-headers/Makefile           | 3 ++-
 www/py-django-crispy-forms/Makefile           | 3 ++-
 www/py-django-csp/Makefile                    | 3 ++-
 www/py-django-debreach/Makefile               | 2 +-
 www/py-django-debug-toolbar/Makefile          | 3 ++-
 www/py-django-dpaste/Makefile                 | 3 ++-
 www/py-django-extensions/Makefile             | 3 ++-
 www/py-django-filer/Makefile                  | 3 ++-
 www/py-django-filter/Makefile                 | 3 ++-
 www/py-django-formset-js-improved/Makefile    | 4 ++--
 www/py-django-graphiql-debug-toolbar/Makefile | 3 ++-
 www/py-django-hashid-field/Makefile           | 3 ++-
 www/py-django-haystack/Makefile               | 3 ++-
 www/py-django-hijack/Makefile                 | 3 ++-
 www/py-django-jquery-js/Makefile              | 3 ++-
 www/py-django-js-asset/Makefile               | 3 ++-
 www/py-django-jsonview/Makefile               | 3 ++-
 www/py-django-markdownx/Makefile              | 3 ++-
 www/py-django-model-utils/Makefile            | 3 ++-
 www/py-django-modelcluster/Makefile           | 3 ++-
 www/py-django-mptt/Makefile                   | 3 ++-
 www/py-django-netfields/Makefile              | 3 ++-
 www/py-django-photologue/Makefile             | 3 ++-
 www/py-django-polymorphic/Makefile            | 3 ++-
 www/py-django-post_office/Makefile            | 3 ++-
 www/py-django-prometheus/Makefile             | 3 ++-
 www/py-django-pyscss/Makefile                 | 4 ++--
 www/py-django-recaptcha/Makefile              | 3 ++-
 www/py-django-redis/Makefile                  | 3 ++-
 www/py-django-registration-redux/Makefile     | 4 ++--
 www/py-django-registration/Makefile           | 3 ++-
 www/py-django-reversion/Makefile              | 3 ++-
 www/py-django-sekizai/Makefile                | 3 ++-
 www/py-django-simple-history/Makefile         | 3 ++-
 www/py-django-smart-selects/Makefile          | 3 ++-
 www/py-django-solo/Makefile                   | 3 ++-
 www/py-django-sortedm2m/Makefile              | 3 ++-
 www/py-django-star-ratings/Makefile           | 4 ++--
 www/py-django-tables2/Makefile                | 3 ++-
 www/py-django-taggit/Makefile                 | 3 ++-
 www/py-django-tastypie/Makefile               | 3 ++-
 www/py-django-templatetag-sugar/Makefile      | 4 ++--
 www/py-django-timezone-field/Makefile         | 3 ++-
 www/py-django-tinymce/Makefile                | 3 ++-
 www/py-django-treebeard/Makefile              | 5 +++--
 www/py-django-widget-tweaks/Makefile          | 3 ++-
 www/py-djangocms-admin-style/Makefile         | 3 ++-
 www/py-djangoql/Makefile                      | 3 ++-
 www/py-djangorestframework/Makefile           | 3 ++-
 www/py-drf-yasg/Makefile                      | 3 ++-
 www/py-enmerkar/Makefile                      | 3 ++-
 www/py-horizon/Makefile                       | 3 ++-
 www/py-jsonfield/Makefile                     | 3 ++-
 www/py-postorius/Makefile                     | 3 ++-
 www/py-social-auth-app-django/Makefile        | 2 +-
 www/py-spyne/Makefile                         | 2 +-
 www/py-swapper/Makefile                       | 3 ++-
 www/py-webargs/Makefile                       | 2 +-
 www/seahub/Makefile                           | 4 ++--
 81 files changed, 160 insertions(+), 94 deletions(-)
Comment 14 Kai Knoblich freebsd_committer 2022-04-28 10:50:34 UTC
^Triage: Update maintainer-feedback flags.